Page MenuHomePhabricator

Math test 'Class undefined: Wikibase\DataModel\Entity\ItemId' failing in CI build
Closed, DuplicatePublic

Description

The test build failed in https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Math/+/475082/.

Log show:

Fatal error: Class undefined: Wikibase\DataModel\Entity\ItemId in /workspace/src/extensions/Wikibase/lib/WikibaseLib.entitytypes.php on line 35

This blocked a commit merge that is backporting.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2018, 1:19 PM
Physikerwelt triaged this task as Normal priority.Nov 29 2018, 1:22 PM

Looking at the job it says:

13:49:58 INFO:quibble.cmd:Adding mediawiki/vendor
13:49:58 INFO:zuul.CloneMapper: mediawiki/vendor -> /workspace/src/vendor
13:51:38 INFO:quibble.cmd:mediawiki/vendor used. Skipping external dependencies

so the composer / vendor autoload should be loaded...

But then update.php fails saying that it has not been loaded?

@hashar any ideas?

Note that the tests did pass for master but not for REL 1_32.

Note that the tests did pass for master but not for REL 1_32.

Aaaah, I see, I expect this is due to some change with how autoloading worked? or some other config thing?
I'm not sure these things usually get fixed for older branches?

Addshore changed the task status from Open to Stalled.Jan 29 2019, 9:49 AM
Addshore removed a project: Wikidata-Campsite.
hashar added a comment.Feb 7 2019, 9:19 AM

I have send a dummy change to REL1_32 https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Math/+/488879/ and that still fails.

Seems to me the class Wikibase\DataModel\Entity\ItemId comes from the composer dependency wikibase/data-model. mediawiki/vendor release branches now only includes dependencies of extensions that are released by the MediaWiki tarball which is T189560

I have no idea how to fix that on CI nor which jobs/implementation needs to be conducted on CI to support that lack of dependencies.